package net.northking.cctp.se.dto;

import java.io.Serializable;

/**
 * 统一自动化日志
 */
public class ATULog implements Serializable
{
  /**
   * 时间戳
   */
  private long timeStamp;

  /**
   * 日志级别
   */
  private String level;

  /**
   * 步骤ID
   */
  private String stepId;
  /**
   * 步骤名称
   */
  private String stepName;

  /**
   * 步骤循环序号
   */
  private int stepLoopIdx;

  /**
   * 组件关键字
   */
  private String componentKey;

  /**
   * 组件名称
   */
  private String componentName;


  /**
   * 日志内容
   */
  private String content;


  public String getLevel()
  {
    return level;
  }

  public void setLevel(String level)
  {
    this.level = level;
  }

  public long getTimeStamp()
  {
    return timeStamp;
  }

  public void setTimeStamp(long timeStamp)
  {
    this.timeStamp = timeStamp;
  }

  public String getStepId()
  {
    return stepId;
  }

  public void setStepId(String stepId)
  {
    this.stepId = stepId;
  }

  public String getStepName()
  {
    return stepName;
  }

  public void setStepName(String stepName)
  {
    this.stepName = stepName;
  }

  public int getStepLoopIdx()
  {
    return stepLoopIdx;
  }

  public void setStepLoopIdx(int stepLoopIdx)
  {
    this.stepLoopIdx = stepLoopIdx;
  }

  public String getComponentKey()
  {
    return componentKey;
  }

  public void setComponentKey(String componentKey)
  {
    this.componentKey = componentKey;
  }

  public String getComponentName()
  {
    return componentName;
  }

  public void setComponentName(String componentName)
  {
    this.componentName = componentName;
  }

  public String getContent()
  {
    return content;
  }

  public void setContent(String content)
  {
    this.content = content;
  }


}
